device_type: "qemu"

job_name: "tuxrun@qemu-mips32: commands"
priority: "medium"
visibility: "public"

context:
    arch: "mips"
    machine: "malta"
    cpu: "mips32r6-generic"
    memory: "2G"
    extra_options: ["-no-reboot", ""]
    no_kvm: true
    no_network: true
timeouts:
  job:
    minutes: 22
  action:
   minutes: 5
  actions:
    power-off:
      seconds: 30

actions:
- deploy:
    to: tmpfs
    timeout:
      minutes: 5
    os: oe
    images:
      kernel:
        image_arg: '-kernel {kernel} -append "console=ttyS0,115200 rootwait root=/dev/sda debug verbose console_msg_format=syslog earlycon"'
        url: "https://storage.tuxboot.com/buildroot/mips32/vmlinux"
      rootfs:
        image_arg: "-drive file={rootfs},if=ide,format=raw"
        url: "https://storage.tuxboot.com/buildroot/mips32/rootfs.ext4.zst"
        compression: zstd
        format: ext4
        overlays:
          lava: true
- boot:
    method: qemu
    timeout:
      minutes: 15
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - 'root@(.*):[/~]#'
- test:
    timeout:
      minutes: 2
    definitions:
    - repository:
        metadata:
          format: lava-test test definition 1.0
          name: commands
          description: "Run commands"
        run:
          steps:
          - "lava-test-case command --shell cat /proc/cpuinfo"
      from: inline
      path: command
      name: commands